import json
import os
import random
import requests
import io

#
# Script to create sustained test data
#
dataDir="../test-data-sustained/"


def createDepartments (csv):
    buf = 'insert into department (department_id, name, description) values ('
    rtn = ''
    s = io.StringIO(csv)
    for line in s:
        values = line.split(",")
        rtn = rtn + buf + '\'' + values[0] + '\'' + ", " + '\'' + values[0] + ' - ' + values[1] + '\'' + ", " + '\'' + values[2].rstrip() + '\'' + ");\n"
    return rtn

def getDepartments(csv):
    s = io.StringIO(csv)
    rtn = []
    for line in s:
        values = line.split(",")
        rtn.append(values[0])
    return rtn

# Create a few departments up front then add no more

departments = []

range=random.randint(1,3)
r = requests.get("https://api.mockaroo.com/api/48c49db0", params={"count": str(range), "key": "a68ae6a0"})
dataFile=open(dataDir + "department_1.sql", "w")
n = dataFile.write(createDepartments(r.content.decode('UTF-8')))
dataFile.close()
departments.append(getDepartments(r.content.decode('UTF-8')))

range=random.randint(1,3)
r = requests.get("https://api.mockaroo.com/api/48c49db0", params={"count": str(range), "key": "a68ae6a0"})
dataFile=open(dataDir + "department_2.sql", "w")
n = dataFile.write(createDepartments(r.content.decode('UTF-8')))
dataFile.close()
departments.append(getDepartments(r.content.decode('UTF-8')))

range=random.randint(1,3)
r = requests.get("https://api.mockaroo.com/api/48c49db0", params={"count": str(range), "key": "a68ae6a0"})
dataFile=open(dataDir + "department_3.sql", "w")
n = dataFile.write(createDepartments(r.content.decode('UTF-8')))
dataFile.close()
departments.append(getDepartments(r.content.decode('UTF-8')))

range=random.randint(1,3)
r = requests.get("https://api.mockaroo.com/api/48c49db0", params={"count": str(range), "key": "a68ae6a0"})
dataFile=open(dataDir + "department_4.sql", "w")
n = dataFile.write(createDepartments(r.content.decode('UTF-8')))
dataFile.close()
departments.append(getDepartments(r.content.decode('UTF-8')))

print(departments)

# Create employees (loop from 1 -> n (adaptors)  and 1 -> range )
# Store all employee IDs
# We will do this several times








