#!/bin/bash

#
# This will create a "quote" and its corresponding "quoteitem"s using the Mockaroo site and store it in SQLFILE
#
SQLFILE=$1

VAL=`curl "https://api.mockaroo.com/api/70acfc40?count=1&key=a68ae6a0" `
#VAL="QU80Q57Z,1AY4963732,1E43673MAX,blandit lacinia"
QUOTE_ID=`echo $VAL | awk -F, '{print $1}'`
CUSTOMER_ID=`echo $VAL | awk -F, '{print $2}'`
EMPLOYEE_ID=`echo $VAL | awk -F, '{print $3}'`
DESCRIPTION=`echo $VAL | awk -F, '{print $4}'`

QUOTE=`echo "insert into quote (quote_id,customer_id,employee_id,description) values ('$QUOTE_ID','$CUSTOMER_ID','$EMPLOYEE_ID','$DESCRIPTION');"`

echo "$QUOTE" > $SQLFILE

ITEMS=$(($RANDOM % 10 + 1))

for ((i=0; i<$ITEMS; i++))
do
	VAL=`curl "https://api.mockaroo.com/api/70d5f5d0?count=1&key=a68ae6a0"`
	#VAL="QI13KJ5J,MAP_FROM_QUOTE,1DNA1643,900,ac est lacinia nisi venenatis tristique fusce congue diam id"
	QUOTEITEM_ID=`echo $VAL | awk -F, '{print $1}'`
	PRODUCT_ID=`echo $VAL | awk -F, '{print $3}'`
	QUANTITY=`echo $VAL | awk -F, '{print $4}'`
	DESCRIPTION=`echo $VAL | awk -F, '{print $5}'`

	QUOTEITEM=`echo "insert into quoteitem (quoteitem_id,quote_id,product_id,quantity,description) values ('$QUOTEITEM_ID','$QUOTE_ID','$PRODUCT_ID','$QUANTITY','$DESCRIPTION');"`
	echo "$QUOTEITEM" >> $SQLFILE
done

cat $SQLFILE
